Power off a cloud instance

POST/v1/cloud_computing/instances/{instance_id}/switch_off

To switch power off, perform a POST request to the /v1/cloud_computing/instances/{instance_id}/switch_off endpoint. Select a cloud instance by adding its ID in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

instance_id*string

A unique identifier of a cloud instance.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/cloud_computing/instances/Jrb2kKdW/switch_off"
{  "id": "Jrb2kKdW",  "openstack_uuid": "d9a68ad0-681b-4c11-a517-888d2842426c",  "status": "SWITCHING_OFF",  "name": "name1309",  "region_id": 0,  "region_code": "NL01",  "flavor_id": "101",  "flavor_name": "SSD.1",  "image_id": "f6c9c585-627a-4113-af8c-a475f5f73a21",  "image_name": null,  "public_ipv4_address": "219.14.158.44",  "private_ipv4_address": null,  "local_ipv4_address": "78.203.45.32",  "public_ipv6_address": null,  "ipv6_enabled": false,  "gpn_enabled": false,  "created_at": "2026-05-28T07:05:33Z",  "updated_at": "2026-05-28T07:05:33Z",  "backup_copies": 0,  "public_port_blocked": false,  "labels": {}}
{  "message": "Instance locked",  "code": "CONFLICT"}
{  "message": "Region in maintenance mode",  "code": "CLOUD_REGION_MAINTENANCE"}